/**
 * Similar to the Comparable Interface, this interface defines a compareTo2() 
 *   method that allows the comparison between two multi-variable objects using 
 *   a specified variable (a key)
 * 
 * <P>
 * 
 * @author Andrew H. Fagg
 *
 */
public abstract interface Comparable2
{
	/**
	 * Compare two objects based on a specific member variable 
	 * (specified by parameter var)
	 * 
	 * <P>
	 * 
	 * @param	obj		The passed object to compare against
	 * @param	var		The key to compare with
	 * @return	1 if this.var > obj.var <BR> 0 if this.var == obj.var<BR> and -1 if this.var < obj.var	
	 */
	
	public abstract int compareTo2(Object obj, VariableType var);	
}