/** 
 * @author Andrew H. Fagg and Steven Ness
 *
 *<P>
 *
 *  An abstract implementation for specifying the variable that will be used
 *    as a key in our compareTo2 method.  However, only the real class that 
 *    implements this interface will define the enummerated type that actually
 *    contains the options for compareTo2.
 *    
 *    <P>
 *    
 *  Note: we introduce this interface here so that compareTo2 can accept references
 *    to objects of this type instead of type Object.  What we get out of this 
 *    is the compile-time check that the right things are being handed to compareTo2()
 *  
 */

public interface VariableType
{

}